<?php
 echo"<html>";
  echo"<html onMouseOver=\"self.status='Powered by Carpediem Colombia Ltda'; return true\">";
   echo"<head>";
    echo"<title>.::Sistema WEBSIM GAMA::. </title>";
	echo"<meta name=\"author\" content='DESARROLLO WEB'>";
	echo"<link rel='stylesheet' href='css/style.css' type=\"text/css\">";
	echo"<link rel=\"SHORTCUT ICON\" href=imagenes/vc.png>";
   echo"</head>";
   echo"<body leftmargin=\"0\" topmargin=\"0\" marginheight=\"0\" marginwidth=\"0\" bgcolor=\"#ffffff\">";
  
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Movimientos/devoluciones.php"); 

$id=$_GET['id'];
$nombre=$_GET['nombre'];
$codigo=$_GET['codigo'];
$desc=$_GET['desc'];
$pagina='ACTUALIZAR MOTIVO DEVOLUCION';
if($tipo==2 && !isset($Ejecutar)){
echo "<script>
	  alert('Esta Seguro Que Desea Eliminar Esta Devolucion');
	  </script>";
$read="readonly='readonly'";
$pagina='ELIMINAR MOTIVO DEVOLUCION';
}
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina;?> ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Codigo Devolucion:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="hidden" name="id" value="<? echo $id?>" class="inputbox" size="25">
<input type="text" name="codigo" value="<? echo $codigo?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Nombre Devolucion:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="nombre" value="<? echo $nombre?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Descripcion Devolucion:
</td>
<td width="150" class="miTable_td">
<input type="text" name="desc" value="<? echo $desc?>" class="inputbox" size="25">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Ejecutar" value="Ejecutar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?

if($tipo==1 && isset($Ejecutar)){

class ejecutaZonan{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id,$codigo,$nombre,$desc){
			 $_SESSION['desc']=$desc;
	  		 $this->consultarObj=new devoluciones();
	  		 $this->consultarObj->setId($id);
			 $this->consultarObj->setNombredev($nombre);
			 $this->consultarObj->setCodigo($codigo);
			 $this->consultarObj->setDesc($desc);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM devoluciones WHERE id_devolucion='".$this->consultarObj->getId()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id=$this->consultarObj->getId();
				$nombre=$this->consultarObj->getNombredev();
				$codigo=$this->consultarObj->getCodigo();
				$desc=$this->consultarObj->getDesc();
				$this->modificarDevolucion($id,$codigo,$nombre,$desc);
			}else{
				$msgBOX2 = "No Se Encontro Estado.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function modificarDevolucion($id,$codigo,$nombre,$desc){
			$rst_modificar=$this->conexionObj->consultar("UPDATE devoluciones SET nombre = '".$nombre."', cod_devolucion = '".$codigo."', descripcion = '".$desc."' WHERE id_devolucion = ".$id."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Actualizo Motivo de Devolucion.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Actualizar Motivo de Devolucion.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$ejecutaZonanObj=new ejecutaZonan();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$ejecutaZonanObj->setConsultar($_POST['id'],$_POST['codigo'],$_POST['nombre'],$_POST['desc']);
// LAMANDO EL METODO DE NEGOCIO
$ejecutaZonanObj->validar();
  
}elseif($tipo==2 && isset($Ejecutar)){
  //echo "Quitar menu";
class quitarDevolucion{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id){
	  		 $this->consultarObj=new devoluciones();
	  		 $this->consultarObj->setId($id);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM devoluciones WHERE id_devolucion='".$this->consultarObj->getId()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id=$this->consultarObj->getId();
				$this->eliminarDevolucion($id);
			}else{
				$msgBOX2 = "No Se Encontro Motivo de Devolucion.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function eliminarDevolucion($id){
			$rst_modificar=$this->conexionObj->consultar("DELETE FROM devoluciones WHERE id_devolucion=".$id."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Elimino Motivo de Devolucion.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Eliminar Motivo de Devolucion.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
$quitarDevolucionObj=new quitarDevolucion();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$quitarDevolucionObj->setConsultar($_POST['id']);
// LAMANDO EL METODO DE NEGOCIO
$quitarDevolucionObj->validar();
}
echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
	echo"<tr>";
	?>
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
<?php
   echo"</tr>";
   echo"</tbody></table>";
   echo"</body>";
   echo"</html>";
?>